gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. To be added To be added Gtk.Object Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gdk.Colormap' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  Atk.Object To be added To be added: an object of type 'Atk.Object' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Boolean `` `` To be added To be added: an object of type 'Gdk.Rectangle' To be added: an object of type 'Gdk.Rectangle' To be added: an object of type 'bool' To be added
- Method
  System.Boolean `` To be added To be added: an object of type 'Gtk.DirectionType' To be added: an object of type 'bool' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.StateType' To be added: an object of type 'Gdk.Color' To be added
- Method
  Gdk.Pixbuf `` `` `` To be added To be added: an object of type 'string' To be added: an object of type 'Gtk.IconSize' To be added: an object of type 'string' To be added: an object of type 'Gdk.Pixbuf' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'string' To be added: an object of type 'GLib.Value' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'string' To be added: an object of type 'IntPtr' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.StateType' To be added: an object of type 'Gdk.Color' To be added
- Method
  Pango.Context To be added To be added: an object of type 'Pango.Context' To be added
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gtk.Requisition' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'string' To be added: an object of type 'Gtk.AccelGroup' To be added
- Method
  System.Void `` `` `` `` `` To be added To be added: an object of type 'string' To be added: an object of type 'Gtk.AccelGroup' To be added: an object of type 'uint' To be added: an object of type 'Gdk.ModifierType' To be added: an object of type 'Gtk.AccelFlags' To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean `` `` To be added To be added: an object of type 'Gtk.Adjustment' To be added: an object of type 'Gtk.Adjustment' To be added: an object of type 'bool' To be added
- Method
  Pango.Layout `` To be added To be added: an object of type 'string' To be added: an object of type 'Pango.Layout' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gtk.Requisition' To be added
- Method
  System.Boolean `` `` `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'bool' To be added
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.StateType' To be added: an object of type 'Gdk.Color' To be added
- Method
  System.Boolean `` To be added To be added: an object of type 'Gdk.Event' To be added: an object of type 'bool' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'Gtk.StateType' To be added: an object of type 'Gdk.Color' To be added
- Method
  Gtk.Widget `` To be added To be added: an object of type 'uint' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gtk.RcStyle' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int&' To be added: an object of type 'int&' To be added
- Method
  System.Boolean `` `` `` To be added To be added: an object of type 'Gtk.AccelGroup' To be added: an object of type 'uint' To be added: an object of type 'Gdk.ModifierType' To be added: an object of type 'bool' To be added
- Method
  System.Void `` `` `` To be added To be added: an object of type 'uint' To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  Gdk.Region `` To be added To be added: an object of type 'Gdk.Region' To be added: an object of type 'Gdk.Region' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Pango.FontDescription' To be added
- Method
  System.Int32 `` To be added To be added: an object of type 'Gdk.Event' To be added: an object of type 'int' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'bool' To be added
- Method
  System.Void `` To be added To be added: an object of type 'int' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` To be added To be added: an object of type 'Gdk.Bitmap' To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Void `` To be added To be added: an object of type 'string' To be added
- Method
  System.Void `` `` `` To be added To be added: an object of type 'uint' To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gdk.Rectangle' To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Widget, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Widget, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  To be added
  To be added: an object of type 'Gtk.Widget'
  To be added
- Property
  Gdk.Visual To be added To be added: an object of type 'Gdk.Visual' To be added
- Property
  Gtk.Style To be added To be added: an object of type 'Gtk.Style' To be added
- Property
  Gdk.Colormap `` To be added To be added: an object of type 'Gdk.Colormap' To be added: an object of type 'Gdk.Colormap' To be added
- Property
  Gtk.TextDirection `` To be added To be added: an object of type 'Gtk.TextDirection' To be added: an object of type 'Gtk.TextDirection' To be added
- Property
  System.UInt32 The GLib Type for Gtk.Widget The GLib TYpe for the Gtk.Widget class.
- Property
  System.Drawing.Size `` To be added To be added: an object of type '' To be added: an object of type '' To be added
- Property
  Gdk.Window To be added To be added: an object of type 'Gdk.Window' To be added
- Property
  Gdk.Rectangle To be added To be added: an object of type 'Gdk.Rectangle' To be added
- Property
  Atk.Object To be added To be added: an object of type 'Atk.Object' To be added
- Property
  Gtk.TextDirection `` To be added To be added: an object of type 'Gtk.TextDirection' To be added: an object of type 'Gtk.TextDirection' To be added
- Property
  Gdk.Colormap `` To be added To be added: an object of type 'Gdk.Colormap' To be added: an object of type 'Gdk.Colormap' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.String `` To be added To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Property
  Gtk.Widget To be added To be added: an object of type 'Gtk.Widget' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  Gtk.Settings To be added To be added: an object of type 'Gtk.Settings' To be added
- Property
  Gdk.Window `` To be added To be added: an object of type 'Gdk.Window' To be added: an object of type 'Gdk.Window' To be added
- Property
  Pango.Context To be added To be added: an object of type 'Pango.Context' To be added
- Property
  Gtk.StateType `` To be added To be added: an object of type 'Gtk.StateType' To be added: an object of type 'Gtk.StateType' To be added
- Property
  Gdk.Visual To be added To be added: an object of type 'Gdk.Visual' To be added
- Property
  Gtk.RcStyle To be added To be added: an object of type 'Gtk.RcStyle' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  Gdk.ExtensionMode `` To be added To be added: an object of type 'Gdk.ExtensionMode' To be added: an object of type 'Gdk.ExtensionMode' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  Gtk.Widget `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Property
  System.String `` To be added To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Property
  Gtk.Style `` To be added To be added: an object of type 'Gtk.Style' To be added: an object of type 'Gtk.Style' To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added